Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.yom
Class AttributeWriter

    java.lang.Object
      org.codehaus.xfire.aegis.AbstractMessageWriter
          org.codehaus.xfire.aegis.yom.AttributeWriter

All Implemented Interfaces:
  MessageWriter

    public class AttributeWriter

extends AbstractMessageWriter

Constructor Summary
`AttributeWriter(org.codehaus.yom.Attribute att)`

Method Summary
`void` | `close()` Tells the MessageWriter that writing operations are completed so it can write the end element.
`MessageWriter` | `getAttributeWriter(javax.xml.namespace.QName qname)`
`MessageWriter` | `getAttributeWriter(java.lang.String name)`
`MessageWriter` | `getAttributeWriter(java.lang.String name, java.lang.String namespace)`
`MessageWriter` | `getElementWriter(javax.xml.namespace.QName qname)`
`MessageWriter` | `getElementWriter(java.lang.String name)`
`MessageWriter` | `getElementWriter(java.lang.String name, java.lang.String namespace)`
`void` | `writeValue(java.lang.Object value)`

Methods inherited from class org.codehaus.xfire.aegis.AbstractMessageWriter
`writeValueAsBoolean, writeValueAsDouble, writeValueAsFloat, writeValueAsInt, writeValueAsLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeWriter

    public AttributeWriter(org.codehaus.yom.Attribute att)

Method Detail

### writeValue

    public void writeValue(java.lang.Object value)

### getAttributeWriter

    public MessageWriter getAttributeWriter(java.lang.String name)

### getAttributeWriter

    public MessageWriter getAttributeWriter(java.lang.String name,
                                            java.lang.String namespace)

### getAttributeWriter

    public MessageWriter getAttributeWriter(javax.xml.namespace.QName qname)

### getElementWriter

    public MessageWriter getElementWriter(java.lang.String name)

### getElementWriter

    public MessageWriter getElementWriter(java.lang.String name,
                                          java.lang.String namespace)

### getElementWriter

    public MessageWriter getElementWriter(javax.xml.namespace.QName qname)

### close

    public void close()

  Description copied from interface: `MessageWriter`
  Tells the MessageWriter that writing operations are completed so it can write the end element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.